Make sure you have the openssl-devel package installed - compiling usually 
needs the -devel packages of dependencies too.

 

I've had absolutely no problems with 3.1, and I doubt there's been much change 
in the configure-script for 3.2 (but I might just be totally wrong on that 
one..).

 

Regards,

Jens Dueholm Christensen 
Business Process and Improvement, Rambøll Survey IT



________________________________

From: [EMAIL PROTECTED] [mailto:[EMAIL PROTECTED] On Behalf Of Nathan Maves
Sent: 21. august 2008 07:14
To: resin-interest@caucho.com
Subject: [Resin-interest] RHEL 5 Installation

 

Hey guys,

I am trying to get resin 3.2 install on some new linux boxes and I am having 
issues.  I was curious if anyone else has done this to help me out.

Here are the details

64 bit RHEL 5
Java 6

I try to run the following :

./configure --enable-64bit --enable-ssl --with-java-home=/usr/java/default


But I get :

Openssl library was not found

I have also tried to specify the location of the OpenSSL lib but it does
not work either.

--with-openssl=/usr/lib/openssl/engines

But I get :

configure: error: Can't find valid OpenSSL library in
/usr/lib/openssl/engines/lib

Here is what is in that location :

[EMAIL PROTECTED] resin]$ ls -l /usr/lib/openssl/engines
total 132
-rwxr-xr-x 1 root root 14488 Jan 15  2008 lib4758cca.so
-rwxr-xr-x 1 root root 14604 Jan 15  2008 libaep.so
-rwxr-xr-x 1 root root 10456 Jan 15  2008 libatalla.so
-rwxr-xr-x 1 root root 18900 Jan 15  2008 libchil.so
-rwxr-xr-x 1 root root 16096 Jan 15  2008 libcswift.so
-rwxr-xr-x 1 root root  2444 Jan 15  2008 libgmp.so
-rwxr-xr-x 1 root root  8680 Jan 15  2008 libnuron.so
-rwxr-xr-x 1 root root 18748 Jan 15  2008 libsureware.so
-rwxr-xr-x 1 root root 14624 Jan 15  2008 libubsec.so

I hope this helps.

Thanks Nathan

_______________________________________________
resin-interest mailing list
resin-interest@caucho.com
http://maillist.caucho.com/mailman/listinfo/resin-interest

Reply via email to